main {
    color: var(--primary-text-color) !important;
    min-height: 100vh;
    height: auto;
}

body{
    background-color: #f5f5f5;
}

.logo-app{
    margin-top: 40px;
}

.logo-app img {
    display: block;
    margin: 0px auto;
    width: 150px;
}

.content-form {
    padding: 20px 40px 50px;
    margin: 40px auto 20px;
    background-color: white;
    border-radius: 10px;
    max-width: 430px;
    box-shadow: 0px 40px 30px 0px rgba(0, 0, 0, 0.1);
}

.content-form .wlc {
    text-align: center;
    margin-top: 20px;
}

.content-form .wlc h1 {
    font-size: 25px;
    text-transform: uppercase;
}

.content-form .div-inp {
    margin: 10px 0;
}

.content-form .div-inp label {
    display: none;
}

.content-form .div-inp input {
    display: block;
    padding: 15px 10px;
    border: none;
    border: 1px solid #d1d1d1;
    width: 100%;
    border-radius: 5px;
    font-size: 16px;
}

.input-error {
    border-color: #ff2a2ab2 !important;
    color: red;
}

.content-form .div-inp input:focus {
    border-color: var(--secondary-color);
}

.content-form .div-inp input.input-error:focus {
    border-color: #ff2a2ab2 !important;
    color: red;
}

form {
    margin: 30px 0 0;
}
.underline {
    text-decoration: underline;
}

form .error-message {
    margin: 10px 0 0;
    color: rgb(223, 54, 54);
    text-align: left; font-size: 12px;
}


.d-btn {
    margin: 10px 0;
}

.d-btn button {
    padding: 14px 15px;
    background-color: #7943dd;
    color: white;
    text-align: center;
    display: block;
    width: 100%;
    max-width: 280px;
    margin: auto;
    border-radius: 10px;
    font-size: 16px;
    cursor: pointer;
    letter-spacing: 2px;
    transition: 400ms;
    position: relative;
    outline: 1px solid #7943dd;
    outline-offset: 0.2rem;
}

.d-btn button:hover {
    background-color: #622dc5;
    outline: none;
}

.no-account {
    margin: 30px auto 0;
    padding-top: 20px;
    text-align: center;
    font-size: 14px;
    border-top: 1px solid rgb(231, 231, 231);
}

.mb-20{
    margin-bottom: 30px !important;
}

.esqueceu-senha {
    margin: 0 0 0;
}

.esqueceu-senha a {
    text-align: right;
    font-size: 14px;
    display: block;
}

.esqueceu-senha a:hover {
    text-decoration: underline;
}

.no-account a:hover {
    text-decoration: underline;
}

.mtmb-20 {
    margin: 20px 0;
}

.password-div {
    position: relative;
}

.password-div input {
    padding-right: 30px !important;
}

.btn-show-hide-password {
    position: absolute;
    right: 10px;
    font-size: 16px;
    z-index: 10;
    cursor: pointer;
    background-color: transparent;
    border: none;
    top: 15px;
}
.btn-show-hide-password::before{
    content: "\F0208";
}

.btn-show-hide-password.off::before{
    content: "\F1CA3";
}

.welcome-message {
    position: fixed;
    top: 20px;
    right: 20px;
    background-color: white;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .1);
    border-radius: 10px;
    padding: 20px;
    animation: slideRight 800ms;
}

.welcome-message p {
    font-size: 15px;
}

.remember-me{
   flex-direction: row-reverse;
   justify-content: start;
   align-items: center;
   display: flex;;
}


.remember-me label{
    font-size: 14px;
    margin-left: 5px;
}

@media (max-width: 767px) {
    main {
        background-color: white !important;
        padding-top: 60px;
        min-height: 100%;
    }

    .content-form {
        margin: auto;
        width: 100%;
        max-width: 450px;
        background-color: transparent;
        box-shadow: none;
    }

    .esqueceu-senha a {
        text-align: right;
    }

    .content-form .div-inp input {
        padding: 15px 10px;
        font-size: 15px;
    }

    .content-form .div-inp input:focus {
        color: var(--primary-text-color);
        outline: none;
        border-color: var(--secondary-color);
    }
    
    .d-btn button {
        padding: 14px 15px;
        font-size: 14px;
        outline: none;
        border-radius: 5px;
    }

    .no-account {
        margin: 40px 0px;
        padding: 20px 0;
    }

}

@media (max-width: 600px) {
    .content-form .wlc {
        text-align: center;
        margin-top: 50px;
    }
    
    form {
        margin: 15px 0 0;
    }

    .content-form .wlc h1 {
        font-size: 22px;
    }

    .content-form {
        padding: 0px 10px;
        width: 100%;
        max-width: 360px;
    }

    .d-btn button {
        padding: 14px 10px;
        font-size: 16px;
        max-width: 100%;
    }

}

@keyframes loader {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes slideRight {
    from {
        margin-right: -100%;
        opacity: 0;
    }

    to {
        margin-right: 0;
        opacity: 1;
    }
}